Skip to main content

Default Target Audiences

Base URL: https://app.neuroflash.com/api/audience-service

Get the default target audience​

GET/v1/workspaces/{workspaceId}/default-target-audience

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYes

Query Parameters​

ParameterTypeDefaultDescription
customerIdinteger—

Response​

FieldTypeDescription
createdAtstringTimestamp when the resource was created
createdByUserIdstringnot set for workspaces imported from legacy team
idstringUnique identifier for the resource
legacyCustomerIdinteger
targetAudienceIdstring
updatedAtstringTimestamp when the resource was last updated
workspaceIdstring

Example​

curl "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/default-target-audience" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response:

{
"createdAt": "2024-01-15T10:30:00Z",
"createdByUserId": "string",
"id": "string",
"legacyCustomerId": 0,
"targetAudienceId": "string",
"updatedAt": "2024-01-15T10:30:00Z",
"workspaceId": "string"
}

Set the default target audience​

PUT/v1/workspaces/{workspaceId}/default-target-audience

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYes

Query Parameters​

ParameterTypeDefaultDescription
customerIdinteger—

Request Body​

FieldTypeRequiredDescription
targetAudienceIdstringYes

Response​

FieldTypeDescription
createdAtstringTimestamp when the resource was created
createdByUserIdstringnot set for workspaces imported from legacy team
idstringUnique identifier for the resource
legacyCustomerIdinteger
targetAudienceIdstring
updatedAtstringTimestamp when the resource was last updated
workspaceIdstring

Example​

curl -X PUT "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/default-target-audience" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"targetAudienceId": "string"
}'

Response:

{
"createdAt": "2024-01-15T10:30:00Z",
"createdByUserId": "string",
"id": "string",
"legacyCustomerId": 0,
"targetAudienceId": "string",
"updatedAt": "2024-01-15T10:30:00Z",
"workspaceId": "string"
}

List default target audiences​

GET/v1/workspaces/{workspaceId}/default-target-audiences

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYes

Query Parameters​

ParameterTypeDefaultDescription
customerIdinteger—

Example​

curl "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/default-target-audiences" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response:

[
{
"createdAt": "2024-01-15T10:30:00Z",
"createdByUserId": "string",
"id": "string",
"legacyCustomerId": 0,
"targetAudienceId": "string",
"updatedAt": "2024-01-15T10:30:00Z",
"workspaceId": "string"
}
]